html {
  scroll-behavior: smooth;
}

html,
body {
  margin: 0;
  padding: 0;
}

.header--ps-only {
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  height: auto;
  padding: 10px;
  box-sizing: border-box;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 1000;

  && button,
  img {
    width: 100%;
    display: block;
  }
}

.contact-button {
  width: 36% !important;
  border: none;
  background: transparent;
  padding: 0;
  cursor: pointer;
}

.image-content {
  max-width: 100%;
  width: 100%;
  display: block;
  box-sizing: border-box;
}

.img-button {
  border: none;
  background: transparent;
  padding: 0;
  cursor: pointer;
}

.Service--ps,
.conpany-info {
  position: relative;
}

.Service-content--ps {
  position: absolute;
  top: 38.3%;
  left: 4.3%;
  width: 91.4%;
  height: 53.7%;
  box-sizing: border-box;
  border-radius: 8px;
  background-color: #FFFFFF;
  padding: 20px;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
}

.Service-cta--ps {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 20px;
  width: 100%;
  padding: 15px;

  && img.Service-cta-text {
    width: 40%;
    display: block;
    margin: 0 auto;
  }
}

.button-image {
  width: 100%;
  display: block;
  margin: 0 auto;
}

.map-wrapper--ps {
  position: absolute;
  top: 68.2%;
  left: 4.3%;
  width: 92%;
  height: 24.1%;

  && iframe {
    width: 100%;
    height: 100%;
    border-radius: 8px;
  }
}

.header--pc-only {
  display: none;
}

.content-pc--only {
  display: none;
}

.footer--pc-only {
  display: none;
}

@media (min-width: 600px) {
  body {
    position: relative;
  }

  .header--ps-only {
    display: none;
  }

  .content-ps--only {
    display: none;
  }

  .header--pc-only {
    width: 100%;
    padding: 10px;
    background-color: white;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 200px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;

    && img.header-logo {
      width: 8%;
      display: block;
    }
  }

  .header-content {
    display: flex;
    align-items: center;

    && img {
      width: 90%;
      display: block;
      margin: auto;
    }

    && a {
      display: flex;
      align-items: center;
    }
  }

  .img-button img {
    display: block;
  }

  .content-pc--only {
    display: block;
    width: 100%;
    box-sizing: border-box;
  }

  .PC-frame1 {
    position: relative;
  }


  .vector-left {
    position: absolute;
    top: 18%;
    left: 4.3%;
    width: 9%;
    height: auto;
    transform: translate(-50%, -50%);
  }

  .vector-right {
    position: absolute;
    top: 67.2%;
    left: 42.6%;
    width: 9%;
    height: auto;
    transform: translate(-50%, -50%);
  }

  .PC-frame1-cta {
    position: absolute;
    top: 43.6%;
    left: 22%;
    transform: translate(-50%, -50%);
    width: 39%;
    height: 52%;
    max-width: 800px;
    text-align: center;
    background-color: #f0f0f0;
    padding: 30px;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    box-sizing: border-box;

    && img {
      width: 100%;
      display: block;
    }
  }

  .cta-content {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    padding: 10px;
    background-color: #FFFFFF;
    border-radius: 8px;

    && img.cta-text {
      width: 30%;
      height: auto;
      display: block;
    }
  }

  .cta-buttons {
    display: flex;
    gap: 20px;
    justify-content: center;

    && img {
      width: 100%;
      display: block;
    }
  }

  #Pricing,
  #Company-Info,
  .PC-frame10 {
    position: relative;
  }

  .Pricing-Cta {
    position: absolute;
    top: 62.6%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 78.4%;
    height: 47.2%;
    border-radius: 8px;
    background-color: #FFFFFF;
    padding: 30px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
  }

  .Pricing-Cta-Content {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 30px;
    gap: 30px;
    box-sizing: border-box;
    border: #F2F2F2 2px solid;
    border-radius: 8px;

    && img.Pricing-Cta-Text {
      width: 30%;
      display: block;
    }
  }

  .map-wrapper {
    position: absolute;
    top: 50%;
    left: 68.7%;
    transform: translate(-50%, -50%);
    width: 40.5%;
    height: 72.7%;
    box-sizing: border-box;
    border-radius: 8px;

    && iframe {
      width: 100%;
      height: 100%;
      border-radius: 8px;
    }
  }

  .PC-frame10-cta {
    position: absolute;
    top: 50%;
    left: 72.7%;
    transform: translate(-50%, -50%);
    width: 28%;
    border-radius: 8px;
    background-color: #FFFFFF;
    padding: 35px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 32px;

    && img.Footer-Cta-Text {
      width: 80%;
      display: block;
    }
  }

  .footer--pc-only {
    width: 100%;
    display: block;
  }
}